Subject: [ldapext] draft-bergeson-uddi-ldap-schema-02.txt

From: "Andrew Sciberras" <[email-masked]>
Date: Fri, 19 Dec 2003 10:27:38 +1100

G'Day,

Just some comments regarding 'LDAP Schema for UDDI'.

Section 5.2
The equality matching rule for a distingushed name cannot be a
caseIgnoreMatch.

For the following attributes:
* uddiName
* uddiServiceKey
* uddiBindingKey
It is explicitly stated that the values of this attribute may not be blank.

The other attributes with a DirectoryString string attributes do not carry
this statement. I'm not sure what this is implying, but I feel that I should
note that none of the DirectoryString attributes are permitted to have a
blank value.

Section 5.17
"When saving a new uddiBusinessService structure, pass an empty
uddiServiceKey value"
Section 5.18
"When saving a new uddiBindingTemplate structure, pass an empty
uddiBindingKey value"
These would be strictly illegal since a DirectoryString must have at least
one character.

Section 5.41
I don't think you intended to have a boolean syntax for this attribute
Since this attribute contains an integer, perhaps an Integer syntax with an
integerMatch equality rule would be more appropriate?

Section 5.43
Purhaps a Boolean syntax with a booleanMatch would be more appropriate?

[RFC3377], [RFC2829], [RFC2830],  are not listed in the Normative
References, but are present within the document.

Cheers,
Andrew Sciberras
View500 Software Engineer
Adacel Technologies
http://view500.adacel.com

_______________________________________________
Ldapext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ldapext